You upgrade to VMware Integrated OpenStack 5.0 by installing the new version and migrating your existing deployment.

Prerequisites

  • Download the VMware Integrated OpenStack 5.0 OVA from the product download page.

  • Prepare sufficient resources to make a duplicate of every node in your current deployment except the memcache and RabbitMQ nodes. If you want to upgrade a compact deployment to an HA deployment, you will need additional resources. See Hardware Requirements for VMware Integrated OpenStack.

  • Record any changes made to the OpenStack deployment outside of the custom.yml file. Any changes not included in custom.yml will not take effect on the new version, and you must configure them again on the new deployment once the upgrade is complete.

  • Ensure that your current deployment is running VMware Integrated OpenStack 4.0 or 4.1. If you are running an older version, upgrade to version 4.1 first.